org.keycloak.saml.processing.core.saml.v2.writers

## Class SAMLMetadataWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter
  - - org.keycloak.saml.processing.core.saml.v2.writers.SAMLMetadataWriter

-     public class SAMLMetadataWriter
      extends BaseWriter

  Write the SAML metadata elements
  Since:
    Dec 14, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLMetadataWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(ContactType contact)`
    `void` | `write(ExtensionsType extensions)`
    `void` | `write(IDPSSODescriptorType idpSSODescriptor)`
    `void` | `write(SPSSODescriptorType spSSODescriptor)`
    `void` | `write(SSODescriptorType ssoDescriptor)`
    `void` | `writeArtifactResolutionService(IndexedEndpointType indexedEndpoint)`
    `void` | `writeAssertionConsumerService(IndexedEndpointType indexedEndpoint)`
    `void` | `writeAttributeAuthorityDescriptor(AttributeAuthorityDescriptorType attributeAuthority)`
    `void` | `writeAttributeConsumingService(AttributeConsumingServiceType attributeConsumer)`
    `void` | `writeAttributeService(EndpointType endpoint)`
    `void` | `writeEntitiesDescriptor(EntitiesDescriptorType entities)`
    `void` | `writeEntityDescriptor(EntityDescriptorType entityDescriptor)`
    `void` | `writeIndexedEndpointType(IndexedEndpointType indexedEndpoint)`
    `void` | `writeKeyDescriptor(KeyDescriptorType keyDescriptor)`
    `void` | `writeOrganization(OrganizationType org)`
    `void` | `writeSingleLogoutService(EndpointType endpoint)`
    `void` | `writeSingleSignOnService(EndpointType endpoint)`

    - ### Methods inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `write, write, write, write, write, writeAttributeTypeWithoutRootTag, writeDateAttributeValue, writeLocalizedNameType, writeNameIDTypeAttributeValue, writeStringAttributeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLMetadataWriter

          public SAMLMetadataWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### writeEntitiesDescriptor

          public void writeEntitiesDescriptor(EntitiesDescriptorType entities)
                                       throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeEntityDescriptor

          public void writeEntityDescriptor(EntityDescriptorType entityDescriptor)
                                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SSODescriptorType ssoDescriptor)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SPSSODescriptorType spSSODescriptor)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(IDPSSODescriptorType idpSSODescriptor)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeAttributeAuthorityDescriptor

          public void writeAttributeAuthorityDescriptor(AttributeAuthorityDescriptorType attributeAuthority)
                                                 throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeArtifactResolutionService

          public void writeArtifactResolutionService(IndexedEndpointType indexedEndpoint)
                                              throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeAssertionConsumerService

          public void writeAssertionConsumerService(IndexedEndpointType indexedEndpoint)
                                             throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeIndexedEndpointType

          public void writeIndexedEndpointType(IndexedEndpointType indexedEndpoint)
                                        throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeAttributeConsumingService

          public void writeAttributeConsumingService(AttributeConsumingServiceType attributeConsumer)
                                              throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeOrganization

          public void writeOrganization(OrganizationType org)
                                 throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(ContactType contact)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(ExtensionsType extensions)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeKeyDescriptor

          public void writeKeyDescriptor(KeyDescriptorType keyDescriptor)
                                  throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeAttributeService

          public void writeAttributeService(EndpointType endpoint)
                                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeSingleLogoutService

          public void writeSingleLogoutService(EndpointType endpoint)
                                        throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeSingleSignOnService

          public void writeSingleSignOnService(EndpointType endpoint)
                                        throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.